﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace СУБД_Швейная_фабрика
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        string GetCapcha()
        {
            string TxtLetter = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            string TxtDigit = "0123456789";
            string t1 = TxtLetter + TxtDigit;
            string capcha = "";
            bool FlagDigit = false;
            Random rnd = new Random();

            for (int i = 1; i <= 3; i++)
            {
                // взять символ из строки с символами для капчи
                char sim = t1[rnd.Next(t1.Length)];
                // если символ - цифра, запомнить это
                if (char.IsDigit(sim)) FlagDigit = true;
                capcha += sim;  // добавить символ к капче
            }
            if (FlagDigit == false)
                capcha += TxtDigit[rnd.Next(TxtDigit.Length)];
            else
                capcha += TxtLetter[rnd.Next(TxtLetter.Length)];

            return capcha;
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'svFabricDataSet.Users' table. You can move, or remove it, as needed.
            this.usersTableAdapter.Fill(this.svFabricDataSet.Users);

            CmbRole.SelectedIndex = 0;
            LblCapcha.Text=GetCapcha();

        }

        private void usersBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.usersBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.svFabricDataSet);

        }

        private void BtnLogin_Click(object sender, EventArgs e)
        {
            if (TbxCapcha.Text.ToUpper() != LblCapcha.Text)
            {
                MessageBox.Show("Капча введена неверно!.");
                LblCapcha.Text = GetCapcha();
                TbxCapcha.Clear();
                return;
            }

            string role = CmbRole.SelectedItem.ToString();
            string TxtFilter = $"Login = '{TbxLogin.Text}' and Password = '{TbxPass.Text}' and ID_Role = '{role}'";
            string TxtFilterForUser = $"Login = '{TbxLogin.Text}'";
           // usersBindingSource.Filter = TxtFilter;

            if (usersBindingSource.Count == 0)
            {
                MessageBox.Show("Нет пользователя с указанным логином и паролем!", role);
                return;
            }
            TbxLogin.Clear(); TbxPass.Clear(); // очистить поля
            this.Visible = false;  // скрыть форму для авторизации


            if (role == "заказчик")
            {
                // создать форму для заказчика
                FormZakazchik f = new FormZakazchik();
                f.usersBindingSource.Filter = TxtFilterForUser;
                f.ShowDialog();
                
            }

            if (role == "менеджер")
            {
                // создать форму для менеджера
                
            }

            if (role == "кладовщик")
            {
                // создать форму для кладовщика
               
            }

            this.Visible = true;  // показать форму для авторизации
            // загрузить обновленные записи из БД
            this.usersTableAdapter.Fill(this.svFabricDataSet.Users);
            TbxLogin.Focus();
            TbxCapcha.Clear();
            LblCapcha.Text = GetCapcha();


        }

        private void CbxShowPass_CheckedChanged(object sender, EventArgs e)
        {
            TbxPass.UseSystemPasswordChar = !TbxPass.UseSystemPasswordChar;
        }

        private void LblReg_Click(object sender, EventArgs e)
        {

        }
    }
}
