﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace СУБД_Швейная_фабрика
{
    public partial class FormZakazchik : Form
    {
        public FormZakazchik()
        {
            InitializeComponent();
        }
        void FillLst()
        {
            SqlConnection con = new SqlConnection(Properties.Settings.Default.SvFabricConnectionString);
            con.Open();
            string txtquery =
@"select Izdelie.Name_Izdelie as izd, Orders.CountIzd as countizd, 
Clothess.Name as tkan, Furnitures.Name_Fur as fur, Orders.CountFur as countfur, 
Users.Surname as manager
from Orders, Users, Clothess, Furnitures, Izdelie
where Users.ID_User = Orders.ID_Manager and Clothess.ID_Cloth = Orders.ID_Cloth
and Furnitures.Id_Fur = Orders.Id_Fur and Izdelie.ID_Izdelie = Orders.ID_Izdelie
and Orders.Id_Zakazchik = " + LblIdUser.Text;
            SqlCommand query1 = new SqlCommand(txtquery, con);

            SqlDataReader res = query1.ExecuteReader();

            DgvZakaz.Rows.Clear(); 

            while (res.Read())
            {
                DgvZakaz.Rows.Add(res["izd"], res["countizd"],
                    res["tkan"], res["fur"], res["countfur"],
                    res["manager"]);
            }
            con.Close();
        }
        private void usersBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            

        }

        private void FormZakazchik_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'svFabricDataSet.Users' table. You can move, or remove it, as needed.
            this.usersTableAdapter.Fill(this.svFabricDataSet.Users);
            FillLst();
            


        }

        private void BtnLev_Click(object sender, EventArgs e)
        {
            FormLeven F =new FormLeven();
            F.ShowDialog();
        }

        private void BtnProfile_Click(object sender, EventArgs e)
        {
            FormProfile f =new FormProfile();
            f.usersBindingSource.Filter = this.usersBindingSource.Filter;
            if (f.ShowDialog() == DialogResult.OK)
            {
                this.usersTableAdapter.Fill(this.svFabricDataSet.Users);
            }
        }

        private void BtnAddZakaz_Click(object sender, EventArgs e)
        {
            FormAddOrder f = new FormAddOrder();
            f.IdZakazchik = LblIdUser.Text;
            f.ShowDialog();

            FillLst();
        }
    }
}
